Bug 216353 - Review Request: vdr-text2skin - OSD skin plugin for VDR
Review Request: vdr-text2skin - OSD skin plugin for VDR
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Package Reviews List
:
Depends On:
Blocks: 216355
  Show dependency treegraph
 
Reported: 2006-11-19 15:47 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 15:23:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
axel.thimm: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-11-19 15:47:22 EST
http://cachalot.mine.nu/6/SRPMS/vdr-text2skin.spec
http://cachalot.mine.nu/6/SRPMS/vdr-text2skin-1.1-16.20051217cvs.cmn6.src.rpm

This plugin is designed to load and interpret a set of files
describing the layout of VDR's on screen display and to make this
"skin" available to VDR via Setup -> OSD in the main menu.  Of course
it is possible to load more than one text-based skin this way and to
choose between them while running VDR.  All skins may be themeable
(you can create your own color-theme) and translateable as the author
of the skin wishes.

Notes:

The release tag does not follow naming guidelines for pre-release snapshots.  That's cosmetic and intentional and required for upgradeability from my earlier packages elsewhere.

The %pre scriptlet is not pretty, but it's again there for historical reasons and I figure doing the necessary bits of evil before this package enters FE instead of while it's in is better.
Comment 1 Ville Skyttä 2007-04-08 09:38:49 EDT
http://cachalot.mine.nu/6/SRPMS/vdr-text2skin.spec
http://cachalot.mine.nu/6/SRPMS/vdr-text2skin-1.1-18.20051217cvs.cmn6.src.rpm

- Grab potential XML parse buffer overflow fix from upstream CVS.
Comment 2 Axel Thimm 2007-04-22 09:06:41 EDT
- rpmlint checks return:
W: vdr-text2skin dangerous-command-in-%pre cp
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Everything looks OK including the dangerous cp, so review+ :)

(AFAIU I'm not supposed to touch the assignee or status fields anymore, if I
messed up, ping me)
Comment 3 Ville Skyttä 2007-04-22 15:53:21 EDT
Thanks!

New Package CVS Request
=======================
Package Name: vdr-text2skin
Short Description: OSD skin plugin for VDR
Owners: ville.skytta@iki.fi
Branches: FC-6
InitialCC: 
Comment 4 Ville Skyttä 2007-04-23 15:23:25 EDT
Imported and built for FC-6 and devel.

Note You need to log in before you can comment on or make changes to this bug.